/*
 * File:   main.c
 * Author: F.Giamarchi
 *
 * Created on 3 janvier 2017, 00:00
 */

#include <xc.h>         // XC8 compilateur
#include <stdint.h>
#include <stdio.h>     // uint8_t dfinitions
#include <stdlib.h>

#include "system.h"     // fichier des actions d'initialisation du C
#include "interruptions.h"
#include "tempo.h"
//#include "I2Cmaster.h"
#include "fonctions.h"

uint8_t etat, etat_int, sensor;     // exemple de dclaration d'une variable 8 bits non signe
uint16_t compteur, tick_uart;   // exemple de dclaration d'une variable 16 bits non signe
char command[6];
int8_t erreur;

void main(void)
{
/*  On initialise le microcontroleur */
    Init_System();
    Init_ADC();
    Init_Timer0();
    Init_UART();
//    Init_MLI();
//    Init_I2C();
    Init_Interruptions();
    
/*  Test UART */
    delayMs(100);
    printf("\r\n\16F1847 Trame mode Expert\r\n");
    
    etat = 0;
    etat_int = 0;
    tick_uart = 1000;
    
//    MLI_MD = 1;
//    delayMs(1000);
//    MLI_MD = 0;
/*  Cration d'une boucle inifinie indispensable !!! */
    while (1)
    {
        Synchronisation();      // force la boucle infinie  s'xcuter 
        compteur++;             // toutes les 1ms
        
        switch (etat)
        {
            case 0:             // Test Del

                break;
            case 1:             // Test Moteurs

                break;
            case 2:
 
                break;
            case 3:

                break;
            case 100:

                break;
            default:
                etat = 0;
                break;
        }
        
/*  Lecture commande reue  */
        if(Data_Rdy_UART())     // Si une nouvelle commande a t reue
        {
            Read_Data_UART(command);    // transfert la commande
            printf("%s\r\n",command);
        }
    }
}