#include <xc.h>
#include <stdio.h>     // uint8_t dfinitions

#include "tempo.h"

#define Temps_systeme TMR0_Read16bitTimer()

//  Fonction d'initialisation  une valeur d?attente
void init_tempo(tempo *t, uint16_t val)
{
    t->valeur = val;
}

//  Fonction de lancement de la tempo
void arme_tempo(tempo *t)
{
    t->depart = Temps_systeme; 
}

//  Fonction de test pour voir si la temporisation est chue
uint8_t tempo_echue(tempo t)
{
    uint16_t delta;         // obligation de passer par une variable intermdiaire pour le test
    delta = Temps_systeme  - t.depart; 
    if (delta  < t.valeur)
        return 0;
    else
        return 0xFF;
}

//  Fonction qui renvoie la valeur du timer 0 sur 16 bits
uint16_t TMR0_Read16bitTimer(void)
{
    uint16_t readVal;
    uint8_t readValLow;
    uint8_t readValHigh;

//    readValLow  = TMR0L;
//    readValHigh = TMR0H;
    readVal  = ((uint16_t)readValHigh << 8) + readValLow;

    return readVal;
}